## org.apache.xml.dtm.ref
Class DTMDefaultBaseIterators.NthDescendantIterator

    java.lang.Object
      org.apache.xml.dtm.ref.DTMAxisIteratorBase
          org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
              org.apache.xml.dtm.ref.DTMDefaultBaseIterators.DescendantIterator
                  org.apache.xml.dtm.ref.DTMDefaultBaseIterators.NthDescendantIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

Enclosing class:
  DTMDefaultBaseIterators

    public class DTMDefaultBaseIterators.NthDescendantIterator

extends DTMDefaultBaseIterators.DescendantIterator

Iterator that returns the descendants of a given node. I'm not exactly clear about this one... -sb

Field Summary

Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator
`END`

Constructor Summary
`DTMDefaultBaseIterators.NthDescendantIterator(int pos)` Constructor NthDescendantIterator

Method Summary
`int` `next()` Get the next node in the iteration.

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.DescendantIterator
`reset, setStartNode`

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
`gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMDefaultBaseIterators.NthDescendantIterator

    public DTMDefaultBaseIterators.NthDescendantIterator(int pos)

  Constructor NthDescendantIterator

  Parameters:
    `pos` - The nth position being requested.

Method Detail

### next

    public int next()

  Get the next node in the iteration.

  Specified by:
    `next` in interface `DTMAxisIterator`
  Overrides:
    `next` in class `DTMDefaultBaseIterators.DescendantIterator`
  Returns:
    The next node handle in the iteration, or END.

Copyright © 2005 Apache XML Project. All Rights Reserved.